# $Revision: 1.36 $, $Date: 2010/06/06 08:44:25 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working, not busy /dev/audio!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Video
%define		pnam	Capture-V4l
Summary:	Video::Capture::V4l - Perl interface to the Video4linux framegrabber interface
Summary(pl.UTF-8):	Video::Capture::V4l - perlowy interfejs do urządzeń Video4linux
Name:		perl-Video-Capture-V4l
Version:	0.902
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Video/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6d8aa6df54e981b30a2fbc3ea453e0db
Patch0:		%{name}-make.patch
URL:		http://search.cpan.org/dist/Video-Capture-V4l/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl interface to the Video4linux framegrabber interface.

%description -l pl.UTF-8
Perlowy interfejs do urządzeń Video4linux.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_archlib},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Video
%dir %{perl_vendorarch}/auto/Video
%dir %{perl_vendorarch}/auto/Video/*
%dir %{perl_vendorarch}/auto/Video/Capture/V4l
%dir %{perl_vendorarch}/auto/Video/Capture/VBI
%{perl_vendorarch}/auto/Video/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Video/*/*.so
%{perl_vendorarch}/auto/Video/*/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Video/*/*/*.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Video-Capture-V4l.spec,v $
Revision 1.36  2010/06/06 08:44:25  arekm
- release 2

Revision 1.35  2009/10/16 08:18:55  amateja
- updated to 0.902

Revision 1.34  2008/03/25 16:55:18  qboosh
- generic URL, informative summaries

Revision 1.33  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.32  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.30  2006/10/21 08:28:48  ankry
- ver. 0.901

Revision 1.29  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.28  2005/06/22 00:41:22  czucz
- updated to 0.225

Revision 1.27  2004/11/03 22:30:53  paladine
- formatting

Revision 1.26  2004/08/08 17:01:59  adamg
- updated to 0.224

Revision 1.25  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/23 14:13:19  qboosh
- updated make patch to use PIC in RTjpeg.o; release 2

Revision 1.23  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.22  2004/05/03 23:36:50  ankry
- tests added, license fix, cosmetics

Revision 1.21  2004/04/27 20:11:02  ankry
- site ->vendor

Revision 1.20  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.19  2003/08/18 08:09:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.15  2003/02/18 15:39:09  ankry
- massive attack: change CPAN URLs

Revision 1.14  2002/07/12 22:23:39  ankry
- fixed %%files

Revision 1.13  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.12  2002/07/11 08:06:15  depesz
- new version; should work; STBR

Revision 1.11  2002/07/10 09:02:39  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.10  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.9  2002/02/25 10:35:31  depesz
cleanup; revision++

Revision 1.8  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 14:21:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.6  2002/02/10 15:37:16  depesz
adapterized

Revision 1.5  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/05 23:45:25  kloczek
- typo.

Revision 1.3  2001/09/05 23:11:02  kloczek
- BuildRequires: perl-devel.

Revision 1.2  2001/08/30 17:51:17  zagrodzki
- one more fix in %%files

Revision 1.1  2001/08/30 17:45:58  zagrodzki
- initial release
